<template>
  <div class="recipe-item">
    <!-- <v-container> -->

      <v-card
        class="mx-auto"
      >
        <v-img
          class="white--text align-end"
          height="150px"
          :src="cardData.imageUrl"
        >

          <v-card-text>
            <v-row
              align="center"
              justify="end"
            >
              <v-btn icon>
                <v-icon class="white--text">mdi-star</v-icon>
              </v-btn>
            </v-row>
          </v-card-text>

        </v-img>

        <v-card-title class="subtitle-2">{{cardData.title}}</v-card-title>
        <v-card-actions>
          <v-row
            align="center"
            justify="start"
          >
            <v-container class="caption">
              <v-icon>mdi-clock-outline</v-icon>
              <span>{{cardData.time}}</span>
            </v-container>

          </v-row>
        </v-card-actions>
      </v-card>

    <!-- </v-container> -->
  </div>



</template>

<script>
  export default {
    name: 'RecipeItem',

    props: ['cardData'],

    data: () => ({

      searchMode: false

    }),

    methods: {

    }
  }
</script>
